Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp
Class URLTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ContextBeanTag
                          org.apache.struts2.views.jsp.URLTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class URLTag

extends ContextBeanTag

See Also:
  `URL`, Serialized Form

Field Summary
`protected java.lang.String` | `action`
`protected java.lang.String` | `anchor`
`protected java.lang.String` | `encode`
`protected java.lang.String` | `escapeAmp`
`protected java.lang.String` | `forceAddSchemeHostAndPort`
`protected java.lang.String` | `includeContext`
`protected java.lang.String` | `includeParams`
`protected java.lang.String` | `method`
`protected java.lang.String` | `namespace`
`protected java.lang.String` | `portletMode`
`protected java.lang.String` | `portletUrlType`
`protected java.lang.String` | `scheme`
`protected java.lang.String` | `value`
`protected java.lang.String` | `windowState`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`URLTag()`

Method Summary
`Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected void` | `populateParams()`
`void` | `setAction(java.lang.String action)`
`void` | `setAnchor(java.lang.String anchor)`
`void` | `setEncode(java.lang.String encode)`
`void` | `setEscapeAmp(java.lang.String escapeAmp)`
`void` | `setForceAddSchemeHostAndPort(java.lang.String forceAddSchemeHostAndPort)`
`void` | `setIncludeContext(java.lang.String includeContext)`
`void` | `setIncludeParams(java.lang.String name)`
`void` | `setMethod(java.lang.String method)`
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setPortletMode(java.lang.String portletMode)`
`void` | `setPortletUrlType(java.lang.String portletUrlType)`
`void` | `setScheme(java.lang.String scheme)`
`void` | `setValue(java.lang.String value)`
`void` | `setWindowState(java.lang.String windowState)`

Methods inherited from class org.apache.struts2.views.jsp.ContextBeanTag
`setId, setVar`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`findString, findValue, findValue, getBody, getStack, toString`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### includeParams

    protected java.lang.String includeParams

### scheme

    protected java.lang.String scheme

### value

    protected java.lang.String value

### action

    protected java.lang.String action

### namespace

    protected java.lang.String namespace

### method

    protected java.lang.String method

### encode

    protected java.lang.String encode

### includeContext

    protected java.lang.String includeContext

### escapeAmp

    protected java.lang.String escapeAmp

### portletMode

    protected java.lang.String portletMode

### windowState

    protected java.lang.String windowState

### portletUrlType

    protected java.lang.String portletUrlType

### anchor

    protected java.lang.String anchor

### forceAddSchemeHostAndPort

    protected java.lang.String forceAddSchemeHostAndPort

Constructor Detail

### URLTag

    public URLTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `ContextBeanTag`

### setEncode

    public void setEncode(java.lang.String encode)

### setIncludeContext

    public void setIncludeContext(java.lang.String includeContext)

### setEscapeAmp

    public void setEscapeAmp(java.lang.String escapeAmp)

### setIncludeParams

    public void setIncludeParams(java.lang.String name)

### setAction

    public void setAction(java.lang.String action)

### setNamespace

    public void setNamespace(java.lang.String namespace)

### setMethod

    public void setMethod(java.lang.String method)

### setScheme

    public void setScheme(java.lang.String scheme)

### setValue

    public void setValue(java.lang.String value)

### setPortletMode

    public void setPortletMode(java.lang.String portletMode)

### setPortletUrlType

    public void setPortletUrlType(java.lang.String portletUrlType)

### setWindowState

    public void setWindowState(java.lang.String windowState)

### setAnchor

    public void setAnchor(java.lang.String anchor)

### setForceAddSchemeHostAndPort

    public void setForceAddSchemeHostAndPort(java.lang.String forceAddSchemeHostAndPort)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.